function setlengthatmanage(filename,filepath,mode)
%  

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      


   prompt={'Please enter desired length in points:','Please enter startpoint:'};
   def={'125','1'};
   dlgTitle='Input length of averaged data:';
   lineNo=2;
   answer=inputdlg(prompt,dlgTitle,lineNo,def);
   lengthat = str2num(answer{1});
   startpoint = str2num(answer{2});
   
   
if mode==0
   modefehler
   return

% directory mode   
elseif mode==11
	cd (filepath);
	filelist=dir(filepath);
    filelistsize=size(filelist);
      
	% Schleife für Files
    for filezaehler=3:filelistsize(1)
      setlengthat(lengthat,startpoint,filelist(filezaehler).name);
    end
    ok
   
% batchfile mode   
elseif mode==12
    filemat=batchfiletomat(filename,filepath);
    filematgroessevec=size(filemat);
    filematgroesse=filematgroessevec(2);
    for l=1:filematgroesse
      setlengthat(lengthat,startpoint,filemat{l});
    end
    ok
      
% single file mode   
elseif mode==2
     setlengthat(lengthat,startpoint,filename);
	 ok
  
end

return